    $ pwd
    [bla]/git-annex-3.20130216.1
    $ runhaskell Setup configure --prefix=/usr --libdir=/usr/lib64 --docdir=/usr/share/doc/git-annex-3.20130216.1-r2 \
    --htmldir=/usr/share/doc/git-annex-3.20130216.1-r2/html --with-compiler=ghc-7.6.2 --enable-shared \
    --disable-executable-stripping --global --verbose --enable-tests --flags=S3 --flags=-WebDAV --flags=-Inotify \
    --flags=Dbus --flags=-Assistant --flags=-Webapp --flags=-Pairing --flags=-XMPP --flags=-DNS
    $ runhaskell Setup.hs build
    Building git-annex-3.20130217...
    Preprocessing test suite 'test' for git-annex-3.20130217...
    
    Annex/UUID.hs:30:8:
        Could not find module `System.Random'
        It is a member of the hidden package `random-1.0.1.1'.
        Perhaps you need to add `random' to the build-depends in your .cabal file.
        Use -v to see a list of the files searched for.

Adding `random` to the dependencies of the test suite results in:

    $ runhaskell Setup.hs build
    Building git-annex-3.20130217...
    Preprocessing test suite 'test' for git-annex-3.20130217...
    
    Annex/UUID.hs:29:18:
        Could not find module `Data.UUID'
        It is a member of the hidden package `uuid-1.2.9'.
        Perhaps you need to add `uuid' to the build-depends in your .cabal file.
        Use -v to see a list of the files searched for.

Adding `uuid` results in:

    $ runhaskell Setup.hs build
    Building git-annex-3.20130217...
    Preprocessing test suite 'test' for git-annex-3.20130217...
    
    Command/Add.hs:25:8:
        Could not find module `Utility.Touch'
        Use -v to see a list of the files searched for.


Also: you included ".git-annex.cabal.swp" in the tarball.

> These problems in the cabal file were fixed the other day. [[done]]
> --[[Joey]]
